Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.extractor
Class ExtractorSWF.ExtractorSWFTags

    java.lang.Object
      com.anotherbigidea.flash.writers.SWFTagTypesImpl
          org.archive.crawler.extractor.ExtractorSWF.ExtractorSWFTags

All Implemented Interfaces:
  com.anotherbigidea.flash.interfaces.SWFFileSignature, com.anotherbigidea.flash.interfaces.SWFHeader, com.anotherbigidea.flash.interfaces.SWFSpriteTagTypes, com.anotherbigidea.flash.interfaces.SWFTags, com.anotherbigidea.flash.interfaces.SWFTagTypes

Enclosing class:
  ExtractorSWF

    protected class ExtractorSWF.ExtractorSWFTags

extends com.anotherbigidea.flash.writers.SWFTagTypesImpl

SWFTagTypes customized to use `ExtractorSWFActions`, which parse URI-like strings.

Field Summary

Fields inherited from class com.anotherbigidea.flash.writers.SWFTagTypesImpl
`mTagtypes`

Fields inherited from interface com.anotherbigidea.flash.interfaces.SWFFileSignature
`SIGNATURE_COMPRESSED, SIGNATURE_NORMAL`

Constructor Summary
`ExtractorSWF.ExtractorSWFTags(com.anotherbigidea.flash.interfaces.SWFActions acts)`

Method Summary
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagDefineButton(int id, java.util.Vector buttonRecords)`
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagDefineButton2(int id, boolean trackAsMenu, java.util.Vector buttonRecord2s)`
`com.anotherbigidea.flash.interfaces.SWFTagTypes` | `tagDefineSprite(int id)`
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagDoAction()`
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagDoInActions(int spriteId)`
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagPlaceObject2(boolean isMove, int clipDepth, int depth, int charId, com.anotherbigidea.flash.structs.Matrix matrix, com.anotherbigidea.flash.structs.AlphaTransform cxform, int ratio, java.lang.String name, int clipActionFlags)`

Methods inherited from class com.anotherbigidea.flash.writers.SWFTagTypesImpl
`header, signature, tag, tagButtonCXForm, tagDefineBits, tagDefineBitsJPEG2, tagDefineBitsJPEG2, tagDefineBitsJPEG3, tagDefineBitsLossless, tagDefineBitsLossless2, tagDefineButtonSound, tagDefineFont, tagDefineFont2, tagDefineFontInfo, tagDefineFontInfo2, tagDefineMorphShape, tagDefineQuickTimeMovie, tagDefineShape, tagDefineShape2, tagDefineShape3, tagDefineSound, tagDefineText, tagDefineText2, tagDefineTextField, tagDoInitAction, tagEnableDebug, tagEnableDebug2, tagEnd, tagExport, tagFrameLabel, tagFrameLabel, tagFreeCharacter, tagGenerator, tagGeneratorCommand, tagGeneratorFont, tagGeneratorText, tagImport, tagJPEGTables, tagNameCharacter, tagPlaceObject, tagProtect, tagRemoveObject, tagRemoveObject2, tagSerialNumber, tagSetBackgroundColor, tagShowFrame, tagSoundStreamBlock, tagSoundStreamHead, tagSoundStreamHead2, tagStartSound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtractorSWF.ExtractorSWFTags

    public ExtractorSWF.ExtractorSWFTags(com.anotherbigidea.flash.interfaces.SWFActions acts)

Method Detail

### tagDefineButton

    public com.anotherbigidea.flash.interfaces.SWFActions tagDefineButton(int id,
                                                                          java.util.Vector buttonRecords)
                                                                   throws java.io.IOException

  Specified by:
    `tagDefineButton` in interface `com.anotherbigidea.flash.interfaces.SWFTagTypes`
  Overrides:
    `tagDefineButton` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

### tagDefineButton2

    public com.anotherbigidea.flash.interfaces.SWFActions tagDefineButton2(int id,
                                                                           boolean trackAsMenu,
                                                                           java.util.Vector buttonRecord2s)
                                                                    throws java.io.IOException

  Specified by:
    `tagDefineButton2` in interface `com.anotherbigidea.flash.interfaces.SWFTagTypes`
  Overrides:
    `tagDefineButton2` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

### tagDoAction

    public com.anotherbigidea.flash.interfaces.SWFActions tagDoAction()
                                                               throws java.io.IOException

  Specified by:
    `tagDoAction` in interface `com.anotherbigidea.flash.interfaces.SWFSpriteTagTypes`
  Overrides:
    `tagDoAction` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

### tagDoInActions

    public com.anotherbigidea.flash.interfaces.SWFActions tagDoInActions(int spriteId)
                                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### tagDefineSprite

    public com.anotherbigidea.flash.interfaces.SWFTagTypes tagDefineSprite(int id)
                                                                    throws java.io.IOException

  Specified by:
    `tagDefineSprite` in interface `com.anotherbigidea.flash.interfaces.SWFTagTypes`
  Overrides:
    `tagDefineSprite` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

### tagPlaceObject2

    public com.anotherbigidea.flash.interfaces.SWFActions tagPlaceObject2(boolean isMove,
                                                                          int clipDepth,
                                                                          int depth,
                                                                          int charId,
                                                                          com.anotherbigidea.flash.structs.Matrix matrix,
                                                                          com.anotherbigidea.flash.structs.AlphaTransform cxform,
                                                                          int ratio,
                                                                          java.lang.String name,
                                                                          int clipActionFlags)
                                                                   throws java.io.IOException

  Specified by:
    `tagPlaceObject2` in interface `com.anotherbigidea.flash.interfaces.SWFSpriteTagTypes`
  Overrides:
    `tagPlaceObject2` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.